<!DOCTYPE html>
<html lang="en">
<head>
  <title>List</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
</head>
<body>
  <nav>
    <div class="nav-wrapper">
      <a class="brand-logo center">List</a>
    </div>
  </nav>

  <ul></ul>

  <hr>

  <blockquote>Use CTRL+N to add an item</blockquote>
  <blockquote>Double Click an Item to Erase it</blockquote>

  <script>
  const electron = require('electron');
  const {ipcRenderer} = electron;

  const ul = document.querySelector('ul');

  ipcRenderer.on('item:add', (evt, item) => {
    ul.className = 'collection';
    const li = document.createElement('li');
    li.className = 'collection-item';
    const itemText = document.createTextNode(item);
    li.appendChild(itemText);
    ul.appendChild(li);
  })

  ipcRenderer.on('item:clear', () => {
    ul.innerHTML = '';
    ul.className = '';
  });

  // remove item
  ul.addEventListener('dblclick', removeItem);
  function removeItem(evt) {
    evt.target.remove();
    if (ul.children.length == 0) {
      ul.className = '';
    }
  }

  </script>
</body>
</html>
